package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMApplyDTO]
 */
@Data
public class EAMApplyDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [EAMAPPLYID]
     *
     */
    @JSONField(name = "eamapplyid")
    @JsonProperty("eamapplyid")
    private String eamapplyid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [EAMAPPLYNAME]
     *
     */
    @JSONField(name = "eamapplyname")
    @JsonProperty("eamapplyname")
    private String eamapplyname;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [EAMAPPLYTYPEID]
     *
     */
    @JSONField(name = "eamapplytypeid")
    @JsonProperty("eamapplytypeid")
    private String eamapplytypeid;

    /**
     * 属性 [EAMLOCATIONID]
     *
     */
    @JSONField(name = "eamlocationid")
    @JsonProperty("eamlocationid")
    private String eamlocationid;

    /**
     * 属性 [ASSETID]
     *
     */
    @JSONField(name = "assetid")
    @JsonProperty("assetid")
    private String assetid;

    /**
     * 属性 [DESCRIPTION]
     *
     */
    @JSONField(name = "description")
    @JsonProperty("description")
    private String description;

    /**
     * 属性 [BEGINTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "begintime" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("begintime")
    private Timestamp begintime;

    /**
     * 属性 [ENDTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "endtime" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("endtime")
    private Timestamp endtime;

    /**
     * 属性 [ASSETNAME]
     *
     */
    @JSONField(name = "assetname")
    @JsonProperty("assetname")
    private String assetname;

    /**
     * 属性 [EAMLOCATIONNAME]
     *
     */
    @JSONField(name = "eamlocationname")
    @JsonProperty("eamlocationname")
    private String eamlocationname;

    /**
     * 属性 [EAMAPPLYTYPENAME]
     *
     */
    @JSONField(name = "eamapplytypename")
    @JsonProperty("eamapplytypename")
    private String eamapplytypename;

    /**
     * 属性 [APPLYNUMBER]
     *
     */
    @JSONField(name = "applynumber")
    @JsonProperty("applynumber")
    private String applynumber;

    /**
     * 属性 [EAMSERVICELEVELID]
     *
     */
    @JSONField(name = "eamservicelevelid")
    @JsonProperty("eamservicelevelid")
    private String eamservicelevelid;

    /**
     * 属性 [EAMSERVICELEVELNAME]
     *
     */
    @JSONField(name = "eamservicelevelname")
    @JsonProperty("eamservicelevelname")
    private String eamservicelevelname;


    /**
     * 设置 [EAMAPPLYNAME]
     */
    public void setEamapplyname(String  eamapplyname){
        this.eamapplyname = eamapplyname ;
        this.modify("eamapplyname",eamapplyname);
    }

    /**
     * 设置 [EAMAPPLYTYPEID]
     */
    public void setEamapplytypeid(String  eamapplytypeid){
        this.eamapplytypeid = eamapplytypeid ;
        this.modify("eamapplytypeid",eamapplytypeid);
    }

    /**
     * 设置 [EAMLOCATIONID]
     */
    public void setEamlocationid(String  eamlocationid){
        this.eamlocationid = eamlocationid ;
        this.modify("eamlocationid",eamlocationid);
    }

    /**
     * 设置 [ASSETID]
     */
    public void setAssetid(String  assetid){
        this.assetid = assetid ;
        this.modify("assetid",assetid);
    }

    /**
     * 设置 [DESCRIPTION]
     */
    public void setDescription(String  description){
        this.description = description ;
        this.modify("description",description);
    }

    /**
     * 设置 [BEGINTIME]
     */
    public void setBegintime(Timestamp  begintime){
        this.begintime = begintime ;
        this.modify("begintime",begintime);
    }

    /**
     * 设置 [ENDTIME]
     */
    public void setEndtime(Timestamp  endtime){
        this.endtime = endtime ;
        this.modify("endtime",endtime);
    }

    /**
     * 设置 [APPLYNUMBER]
     */
    public void setApplynumber(String  applynumber){
        this.applynumber = applynumber ;
        this.modify("applynumber",applynumber);
    }

    /**
     * 设置 [EAMSERVICELEVELID]
     */
    public void setEamservicelevelid(String  eamservicelevelid){
        this.eamservicelevelid = eamservicelevelid ;
        this.modify("eamservicelevelid",eamservicelevelid);
    }


}

