package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMApplyTypeDTO]
 */
@Data
public class EAMApplyTypeDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [EAMAPPLYTYPEID]
     *
     */
    @JSONField(name = "eamapplytypeid")
    @JsonProperty("eamapplytypeid")
    private String eamapplytypeid;

    /**
     * 属性 [EAMAPPLYTYPENAME]
     *
     */
    @JSONField(name = "eamapplytypename")
    @JsonProperty("eamapplytypename")
    private String eamapplytypename;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [EAMAPPLYSTATEMODELID]
     *
     */
    @JSONField(name = "eamapplystatemodelid")
    @JsonProperty("eamapplystatemodelid")
    private String eamapplystatemodelid;

    /**
     * 属性 [DESCRIPTION]
     *
     */
    @JSONField(name = "description")
    @JsonProperty("description")
    private String description;


    /**
     * 设置 [EAMAPPLYTYPENAME]
     */
    public void setEamapplytypename(String  eamapplytypename){
        this.eamapplytypename = eamapplytypename ;
        this.modify("eamapplytypename",eamapplytypename);
    }

    /**
     * 设置 [EAMAPPLYSTATEMODELID]
     */
    public void setEamapplystatemodelid(String  eamapplystatemodelid){
        this.eamapplystatemodelid = eamapplystatemodelid ;
        this.modify("eamapplystatemodelid",eamapplystatemodelid);
    }

    /**
     * 设置 [DESCRIPTION]
     */
    public void setDescription(String  description){
        this.description = description ;
        this.modify("description",description);
    }


}

