package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMAssetPartsGroupDTO]
 */
@Data
public class EAMAssetPartsGroupDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [EAMASSETTYPEID]
     *
     */
    @JSONField(name = "eamassettypeid")
    @JsonProperty("eamassettypeid")
    private String eamassettypeid;

    /**
     * 属性 [EAMSPAREPARTSGROUPID]
     *
     */
    @JSONField(name = "eamsparepartsgroupid")
    @JsonProperty("eamsparepartsgroupid")
    private String eamsparepartsgroupid;

    /**
     * 属性 [EAMASSETPARTSGROUPID]
     *
     */
    @JSONField(name = "eamassetpartsgroupid")
    @JsonProperty("eamassetpartsgroupid")
    private String eamassetpartsgroupid;

    /**
     * 属性 [EAMASSETPARTSGROUPNAME]
     *
     */
    @JSONField(name = "eamassetpartsgroupname")
    @JsonProperty("eamassetpartsgroupname")
    private String eamassetpartsgroupname;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [EAMSPAREPARTSGROUPNAME]
     *
     */
    @JSONField(name = "eamsparepartsgroupname")
    @JsonProperty("eamsparepartsgroupname")
    private String eamsparepartsgroupname;

    /**
     * 属性 [EAMASSETTYPENAME]
     *
     */
    @JSONField(name = "eamassettypename")
    @JsonProperty("eamassettypename")
    private String eamassettypename;


    /**
     * 设置 [EAMASSETTYPEID]
     */
    public void setEamassettypeid(String  eamassettypeid){
        this.eamassettypeid = eamassettypeid ;
        this.modify("eamassettypeid",eamassettypeid);
    }

    /**
     * 设置 [EAMSPAREPARTSGROUPID]
     */
    public void setEamsparepartsgroupid(String  eamsparepartsgroupid){
        this.eamsparepartsgroupid = eamsparepartsgroupid ;
        this.modify("eamsparepartsgroupid",eamsparepartsgroupid);
    }

    /**
     * 设置 [EAMASSETPARTSGROUPNAME]
     */
    public void setEamassetpartsgroupname(String  eamassetpartsgroupname){
        this.eamassetpartsgroupname = eamassetpartsgroupname ;
        this.modify("eamassetpartsgroupname",eamassetpartsgroupname);
    }


}

