package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMAssetStateModelLineDTO]
 */
@Data
public class EAMAssetStateModelLineDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [EAMASSETSTATEMODELLINENAME]
     *
     */
    @JSONField(name = "eamassetstatemodellinename")
    @JsonProperty("eamassetstatemodellinename")
    private String eamassetstatemodellinename;

    /**
     * 属性 [EAMASSETSTATEMODELLINEID]
     *
     */
    @JSONField(name = "eamassetstatemodellineid")
    @JsonProperty("eamassetstatemodellineid")
    private String eamassetstatemodellineid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [EAMASSETSTATEMODELID]
     *
     */
    @JSONField(name = "eamassetstatemodelid")
    @JsonProperty("eamassetstatemodelid")
    private String eamassetstatemodelid;

    /**
     * 属性 [EAMASSETSTATEID]
     *
     */
    @JSONField(name = "eamassetstateid")
    @JsonProperty("eamassetstateid")
    private String eamassetstateid;

    /**
     * 属性 [EAMASSETSTATENAME]
     *
     */
    @JSONField(name = "eamassetstatename")
    @JsonProperty("eamassetstatename")
    private String eamassetstatename;

    /**
     * 属性 [EAMASSETSTATEMODELNAME]
     *
     */
    @JSONField(name = "eamassetstatemodelname")
    @JsonProperty("eamassetstatemodelname")
    private String eamassetstatemodelname;


    /**
     * 设置 [EAMASSETSTATEMODELLINENAME]
     */
    public void setEamassetstatemodellinename(String  eamassetstatemodellinename){
        this.eamassetstatemodellinename = eamassetstatemodellinename ;
        this.modify("eamassetstatemodellinename",eamassetstatemodellinename);
    }

    /**
     * 设置 [EAMASSETSTATEMODELID]
     */
    public void setEamassetstatemodelid(String  eamassetstatemodelid){
        this.eamassetstatemodelid = eamassetstatemodelid ;
        this.modify("eamassetstatemodelid",eamassetstatemodelid);
    }

    /**
     * 设置 [EAMASSETSTATEID]
     */
    public void setEamassetstateid(String  eamassetstateid){
        this.eamassetstateid = eamassetstateid ;
        this.modify("eamassetstateid",eamassetstateid);
    }


}

