package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMAssetTypeDTO]
 */
@Data
public class EAMAssetTypeDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [EAMASSETTYPENAME]
     *
     */
    @JSONField(name = "eamassettypename")
    @JsonProperty("eamassettypename")
    private String eamassettypename;

    /**
     * 属性 [EAMASSETTYPEID]
     *
     */
    @JSONField(name = "eamassettypeid")
    @JsonProperty("eamassettypeid")
    private String eamassettypeid;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [EAMASSETSTATEMODELID]
     *
     */
    @JSONField(name = "eamassetstatemodelid")
    @JsonProperty("eamassetstatemodelid")
    private String eamassetstatemodelid;

    /**
     * 属性 [EAMASSETSTATEMODELNAME]
     *
     */
    @JSONField(name = "eamassetstatemodelname")
    @JsonProperty("eamassetstatemodelname")
    private String eamassetstatemodelname;

    /**
     * 属性 [ASSETTYPENUMBER]
     *
     */
    @JSONField(name = "assettypenumber")
    @JsonProperty("assettypenumber")
    private String assettypenumber;


    /**
     * 设置 [EAMASSETTYPENAME]
     */
    public void setEamassettypename(String  eamassettypename){
        this.eamassettypename = eamassettypename ;
        this.modify("eamassettypename",eamassettypename);
    }

    /**
     * 设置 [EAMASSETSTATEMODELID]
     */
    public void setEamassetstatemodelid(String  eamassetstatemodelid){
        this.eamassetstatemodelid = eamassetstatemodelid ;
        this.modify("eamassetstatemodelid",eamassetstatemodelid);
    }

    /**
     * 设置 [ASSETTYPENUMBER]
     */
    public void setAssettypenumber(String  assettypenumber){
        this.assettypenumber = assettypenumber ;
        this.modify("assettypenumber",assettypenumber);
    }


}

