package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMSparePartsGroupDTO]
 */
@Data
public class EAMSparePartsGroupDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [EAMSPAREPARTSGROUPID]
     *
     */
    @JSONField(name = "eamsparepartsgroupid")
    @JsonProperty("eamsparepartsgroupid")
    private String eamsparepartsgroupid;

    /**
     * 属性 [EAMSPAREPARTSGROUPNAME]
     *
     */
    @JSONField(name = "eamsparepartsgroupname")
    @JsonProperty("eamsparepartsgroupname")
    private String eamsparepartsgroupname;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [SPAREPARTSGRPNUMBER]
     *
     */
    @JSONField(name = "sparepartsgrpnumber")
    @JsonProperty("sparepartsgrpnumber")
    private String sparepartsgrpnumber;


    /**
     * 设置 [EAMSPAREPARTSGROUPNAME]
     */
    public void setEamsparepartsgroupname(String  eamsparepartsgroupname){
        this.eamsparepartsgroupname = eamsparepartsgroupname ;
        this.modify("eamsparepartsgroupname",eamsparepartsgroupname);
    }

    /**
     * 设置 [SPAREPARTSGRPNUMBER]
     */
    public void setSparepartsgrpnumber(String  sparepartsgrpnumber){
        this.sparepartsgrpnumber = sparepartsgrpnumber ;
        this.modify("sparepartsgrpnumber",sparepartsgrpnumber);
    }


}

