package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMWOTypeDTO]
 */
@Data
public class EAMWOTypeDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [EAMWOTYPENAME]
     *
     */
    @JSONField(name = "eamwotypename")
    @JsonProperty("eamwotypename")
    private String eamwotypename;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [EAMWOTYPEID]
     *
     */
    @JSONField(name = "eamwotypeid")
    @JsonProperty("eamwotypeid")
    private String eamwotypeid;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [EAMWOSTATEMODELID]
     *
     */
    @JSONField(name = "eamwostatemodelid")
    @JsonProperty("eamwostatemodelid")
    private String eamwostatemodelid;


    /**
     * 设置 [EAMWOTYPENAME]
     */
    public void setEamwotypename(String  eamwotypename){
        this.eamwotypename = eamwotypename ;
        this.modify("eamwotypename",eamwotypename);
    }

    /**
     * 设置 [EAMWOSTATEMODELID]
     */
    public void setEamwostatemodelid(String  eamwostatemodelid){
        this.eamwostatemodelid = eamwostatemodelid ;
        this.modify("eamwostatemodelid",eamwostatemodelid);
    }


}

