package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMWorkOrderDTO]
 */
@Data
public class EAMWorkOrderDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [WORKORDERID]
     *
     */
    @JSONField(name = "workorderid")
    @JsonProperty("workorderid")
    private String workorderid;

    /**
     * 属性 [WORKORDERNAME]
     *
     */
    @JSONField(name = "workordername")
    @JsonProperty("workordername")
    private String workordername;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [EAMWOTYPEID]
     *
     */
    @JSONField(name = "eamwotypeid")
    @JsonProperty("eamwotypeid")
    private String eamwotypeid;

    /**
     * 属性 [ASSETID]
     *
     */
    @JSONField(name = "assetid")
    @JsonProperty("assetid")
    private String assetid;

    /**
     * 属性 [EAMLOCATIONID]
     *
     */
    @JSONField(name = "eamlocationid")
    @JsonProperty("eamlocationid")
    private String eamlocationid;

    /**
     * 属性 [PWORKORDERID]
     *
     */
    @JSONField(name = "pworkorderid")
    @JsonProperty("pworkorderid")
    private String pworkorderid;

    /**
     * 属性 [EAMWOORIGINID]
     *
     */
    @JSONField(name = "wooriginid")
    @JsonProperty("wooriginid")
    private String wooriginid;

    /**
     * 属性 [WONUMBER]
     *
     */
    @JSONField(name = "wonumber")
    @JsonProperty("wonumber")
    private String wonumber;

    /**
     * 属性 [MDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "mdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("mdate")
    private Timestamp mdate;

    /**
     * 属性 [WODATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "wodate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("wodate")
    private Timestamp wodate;

    /**
     * 属性 [BEGINTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "begintime" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("begintime")
    private Timestamp begintime;

    /**
     * 属性 [ENDTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "endtime" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("endtime")
    private Timestamp endtime;

    /**
     * 属性 [EAMSERVICELEVELID]
     *
     */
    @JSONField(name = "eamservicelevelid")
    @JsonProperty("eamservicelevelid")
    private String eamservicelevelid;

    /**
     * 属性 [WORKLENGTH]
     *
     */
    @JSONField(name = "worklength")
    @JsonProperty("worklength")
    private Double worklength;

    /**
     * 属性 [ASSETNAME]
     *
     */
    @JSONField(name = "assetname")
    @JsonProperty("assetname")
    private String assetname;

    /**
     * 属性 [EAMLOCATIONNAME]
     *
     */
    @JSONField(name = "eamlocationname")
    @JsonProperty("eamlocationname")
    private String eamlocationname;

    /**
     * 属性 [EAMSERVICELEVELNAME]
     *
     */
    @JSONField(name = "eamservicelevelname")
    @JsonProperty("eamservicelevelname")
    private String eamservicelevelname;

    /**
     * 属性 [EAMWOORIGINNAME]
     *
     */
    @JSONField(name = "wooriginname")
    @JsonProperty("wooriginname")
    private String wooriginname;

    /**
     * 属性 [EAMWOTYPENAME]
     *
     */
    @JSONField(name = "eamwotypename")
    @JsonProperty("eamwotypename")
    private String eamwotypename;

    /**
     * 属性 [PWORKORDERNAME]
     *
     */
    @JSONField(name = "pworkordername")
    @JsonProperty("pworkordername")
    private String pworkordername;


    /**
     * 设置 [WORKORDERNAME]
     */
    public void setWorkordername(String  workordername){
        this.workordername = workordername ;
        this.modify("workordername",workordername);
    }

    /**
     * 设置 [EAMWOTYPEID]
     */
    public void setEamwotypeid(String  eamwotypeid){
        this.eamwotypeid = eamwotypeid ;
        this.modify("eamwotypeid",eamwotypeid);
    }

    /**
     * 设置 [ASSETID]
     */
    public void setAssetid(String  assetid){
        this.assetid = assetid ;
        this.modify("assetid",assetid);
    }

    /**
     * 设置 [EAMLOCATIONID]
     */
    public void setEamlocationid(String  eamlocationid){
        this.eamlocationid = eamlocationid ;
        this.modify("eamlocationid",eamlocationid);
    }

    /**
     * 设置 [PWORKORDERID]
     */
    public void setPworkorderid(String  pworkorderid){
        this.pworkorderid = pworkorderid ;
        this.modify("pworkorderid",pworkorderid);
    }

    /**
     * 设置 [EAMWOORIGINID]
     */
    public void setWooriginid(String  wooriginid){
        this.wooriginid = wooriginid ;
        this.modify("eamwooriginid",wooriginid);
    }

    /**
     * 设置 [WONUMBER]
     */
    public void setWonumber(String  wonumber){
        this.wonumber = wonumber ;
        this.modify("wonumber",wonumber);
    }

    /**
     * 设置 [MDATE]
     */
    public void setMdate(Timestamp  mdate){
        this.mdate = mdate ;
        this.modify("mdate",mdate);
    }

    /**
     * 设置 [WODATE]
     */
    public void setWodate(Timestamp  wodate){
        this.wodate = wodate ;
        this.modify("wodate",wodate);
    }

    /**
     * 设置 [BEGINTIME]
     */
    public void setBegintime(Timestamp  begintime){
        this.begintime = begintime ;
        this.modify("begintime",begintime);
    }

    /**
     * 设置 [ENDTIME]
     */
    public void setEndtime(Timestamp  endtime){
        this.endtime = endtime ;
        this.modify("endtime",endtime);
    }

    /**
     * 设置 [EAMSERVICELEVELID]
     */
    public void setEamservicelevelid(String  eamservicelevelid){
        this.eamservicelevelid = eamservicelevelid ;
        this.modify("eamservicelevelid",eamservicelevelid);
    }

    /**
     * 设置 [WORKLENGTH]
     */
    public void setWorklength(Double  worklength){
        this.worklength = worklength ;
        this.modify("worklength",worklength);
    }


}

